package com.yunzhi.inte.service.impl;

import com.yunzhi.inte.common.EncryptUtils;
import com.yunzhi.inte.vo.LoginParm;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yunzhi.inte.entity.Users;
import com.yunzhi.inte.mapper.UsersMapper;
import com.yunzhi.inte.service.UsersService;
 /**
 * 用户表;(users)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2022-10-12
 */
@Service
public class UsersServiceImpl extends BaseServiceImpl<UsersMapper, Users> implements UsersService {

      @Override
      public Users login(LoginParm loginParm) throws Exception {
          Users sysUser = baseMapper.getByLoginID(loginParm.getUserName());
          if (null == sysUser) {
              throw new Exception("用户名或者密码不正确");
          }

          boolean isRight = checkPassword(loginParm.getPassword(), sysUser.getPassword(), sysUser.getId().toString());
          if (!isRight) {
              throw new Exception("用户名或者密码不正确");
          }

          sysUser.setPassword(null);
          return sysUser;
      }

     boolean checkPassword(String src, String targ, String salt) {
         String newPass = EncryptUtils.md5(src, salt);
         return targ.equals(newPass);
     }
 }